  apiVersion: apps/v1
  kind: Deployment
  metadata:
    name: semarchy-appserver-active
    labels:
      app: semarchy-appserver-active
  spec:
    replicas: 1
    selector:
      matchLabels:
        app: semarchy-appserver-active
    template:
      metadata:
        labels:
          app: semarchy-appserver-active
      spec:
        containers:
          - image: semarchy/xdm:5.3
            name: semarchy-appserver-active
            resources:
              requests:
                memory: "4Gi"
              limits:
                memory: "5Gi"
            envFrom:
              - configMapRef:
                  name: semarchy-config
            ports:
              - containerPort: 8080
        restartPolicy: Always
---
apiVersion: v1
kind: Service
metadata:
  name: semarchy-appserver-active
  labels:
    app: semarchy-appserver-active
spec:
  ports:
    - port: 8080
  selector:
    app: semarchy-appserver-active